/*
 * DBConnector
 * http://eeclust.de
 *
 * Copyright (c) 2010-2012, University of Hamburg
 *
 * See the file COPYING in the package base directory for details
 *
 * QueryPuffer.h
 *
 *  Created on: May 10, 2011
 *  Author: Timo Minartz
 */

#ifndef QUERYPUFFER_H_
#define QUERYPUFFER_H_

#include <glib.h>
#include <stdint.h> // for uint64_t

typedef struct {
	const gchar * metric;
	const gchar * node;
	uint64_t timestamp;
	gdouble value;
} Query;

typedef struct {
	const gchar * conninfo;
	GAsyncQueue* queue;
	gint bufferSize;
	GThread * worker;
} QueryPuffer;

QueryPuffer * QueryPuffer_alloc(int bufferSize, const char * conninfo);
void QueryPuffer_addQuery(QueryPuffer * queryPuffer, const char * metric, const char * node, uint64_t timestamp, double value);
void QueryPuffer_unref(QueryPuffer * queryPuffer);


#endif /* QUERYPUFFER_H_ */
